Public bug reported:

I am trying to install openstack but it's not working

conjure-up openstack
Traceback (most recent call last):
  File "/usr/bin/conjure-up", line 9, in <module>
    load_entry_point('conjure-up==2.0.1b1', 'console_scripts', 'conjure-up')()
  File "/usr/lib/python3/dist-packages/conjureup/app.py", line 163, in main
    app.spells_index = yaml.safe_load(fp.read())
  File "/usr/lib/python3/dist-packages/yaml/__init__.py", line 94, in safe_load
    return load(stream, SafeLoader)
  File "/usr/lib/python3/dist-packages/yaml/__init__.py", line 70, in load
    loader = Loader(stream)
  File "/usr/lib/python3/dist-packages/yaml/loader.py", line 24, in __init__
    Reader.__init__(self, stream)
  File "/usr/lib/python3/dist-packages/yaml/reader.py", line 74, in __init__
    self.check_printable(stream)
  File "/usr/lib/python3/dist-packages/yaml/reader.py", line 144, in 
check_printable
    'unicode', "special characters are not allowed")
yaml.reader.ReaderError: unacceptable character #x0080: special characters are 
not allowed
  in "<unicode string>", position 1971


kevin@test:/etc/apt/sources.list.d$ dpkg -l conjure-up
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                                                           Version      
                        Architecture                         Description
+++-==============================================================-====================================-====================================-==================================================================================================================================
ii  conjure-up                                                     
2.0.1~beta1-0~201609130855~ubuntu16. all                                  
Package runtime for conjure-up spells
kevin@test:/etc/apt/sources.list.d$ dpkg -l lxd       
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                                                           Version      
                        Architecture                         Description
+++-==============================================================-====================================-====================================-==================================================================================================================================
ii  lxd                                                            
2.0.4-0ubuntu1~ubuntu16.04.1         amd64                                
Container hypervisor based on LXC - daemon
kevin@test:/etc/apt/sources.list.d$ dpkg -l juju
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                                                           Version      
                        Architecture                         Description
+++-==============================================================-====================================-====================================-==================================================================================================================================
ii  juju                                                           
2.0-beta18-0ubuntu1~16.04.1~juju1    all                                  next 
generation service orchestration system
kevin@test:/etc/apt/sources.list.d$ dpkg -l maas
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                                                           Version      
                        Architecture                         Description
+++-==============================================================-====================================-====================================-==================================================================================================================================
ii  maas                                                           
2.0.0+bzr5189-0ubuntu1~16.04.1       all                                  
"Metal as a Service" is a physical cloud and IPAM

** Affects: conjure-up (Ubuntu)
     Importance: Undecided
         Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1625839

Title:
  can't launch conjure-up openstack

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/conjure-up/+bug/1625839/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Reply via email to